/**
 * ActClassDocument2.java
 *
 * File generated from the medication2::ActClassDocument2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassDocument2.
 *
 * 
 */

@XmlType(name = "ActClassDocument")
@XmlEnum
@XmlRootElement(name = "ActClassDocument2")
public enum ActClassDocument2 {
	@XmlEnumValue("DOC")
	DOC("DOC"),
	@XmlEnumValue("DOCCLIN")
	DOCCLIN("DOCCLIN"),
	@XmlEnumValue("CDALVLONE")
	CDALVLONE("CDALVLONE");
	
	private final String value;

    ActClassDocument2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActClassDocument2 fromValue(String v) {
        for (ActClassDocument2 c: ActClassDocument2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
